Bug 22063 - Error on Updating From Redhat 6.0
Error on Updating From Redhat 6.0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-11 11:22 EST by Alonzo Montoya
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-19 16:29:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alonzo Montoya 2000-12-11 11:22:28 EST
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1526, in 
doInstall
    self.instLog = open(self.instLogName, "w+")
IOError: [Errno 2] No such file or 
directory: '/mnt/sysimage/tmp/upgrade.log'

Local variables in innermost frame:
arch: i386
total: 625
msg: File exists
logname: /tmp/upgrade.log
i: /etc/X11
p: zsh
l: [adjtimex, am-utils, anacron, anonftp, apache, apache-devel, apmd, 
arpwatch, ash, aspell, at, audiofile, audiofile-devel, aumix, authconfig, 
autoconf, automake, awesfx, basesystem, bash, bc, bdflush, bind, bind-
utils, binutils, bison, byacc, bzip2, bzip2-devel, caching-nameserver, 
cdecl, cdp, chkconfig, chkfontpath, cleanfeed, compat-egcs, compat-egcs-
c++, compat-glibc, compat-libstdc++, console-tools, control-center, 
control-center-devel, control-panel, cpio, cpp, cproto, cracklib, cracklib-
dicts, crontabs, ctags, cvs, cyrus-sasl, db1, db1-devel, db2, db3, desktop-
backgrounds, dev, dev86, dhcpcd, dialog, diffstat, diffutils, dip, 
dosfstools, dump, e2fsprogs, ed, ee, eject, ElectricFence, elm, emacs, 
emacs-nox, emacs-X11, esound, esound-devel, exmh, expect, extace, 
fetchmail, file, filesystem, fileutils, findutils, finger, finger-server, 
flex, fortune-mod, freetype, ftp, gawk, gcc, gcc-c++, gcc-g77, gcc-objc, 
gd, gd-devel, gdb, gdbm, gdbm-devel, gdk-pixbuf, gdm, gedit, gettext, 
gftp, ghostscript, ghostscript-fonts, gimp, gimp-devel, glib, glib-devel, 
glibc, glibc-devel, gmc, gmp, gnome-applets, gnome-audio, gnome-audio-
extra, gnome-core, gnome-core-devel, gnome-games, gnome-games-devel, gnome-
libs, gnome-libs-devel, gnome-linuxconf, gnome-media, gnome-objc, gnome-
objc-devel, gnome-pim, gnome-pim-devel, gnome-print, gnome-users-guide, 
gnome-utils, gnorpm, gnotepad+, gnuchess, gnumeric, gnupg, gpm, gpm-devel, 
gqview, grep, groff, groff-perl, gtk+, gtk+-devel, gtk-engines, gtop, 
guile, gv, gzip, hdparm, ical, ImageMagick, ImageMagick-devel, imlib, 
imlib-cfgeditor, imlib-devel, indent, indexhtml, inews, info, initscripts, 
inn, ipchains, iproute, iputils, ipxutils, isapnptools, kbdconfig, 
kdebase, kdegames, kdegraphics, kdelibs, kdelibs-devel, kdemultimedia, 
kdenetwork, kdesupport, kdesupport-devel, kdeutils, kernel, kernel-BOOT, 
kernel-doc, kernel-headers, kernel-ibcs, kernel-pcmcia-cs, kernel-smp, 
kernel-source, kernel-utils, kernelcfg, kgcc, kpppload, krb5-libs, kudzu, 
less, libghttp, libghttp-devel, libglade, libgtop, libgtop-devel, libjpeg, 
libjpeg-devel, libpng, libpng-devel, librep, libstdc++, libstdc++-devel, 
libtermcap, libtermcap-devel, libtiff, libtiff-devel, libtool, libtool-
libs, libungif, libungif-devel, libxml, libxml-devel, lilo, linuxconf, 
linuxconf-devel, logrotate, losetup, LPRng, lrzsz, lsof, ltrace, lynx, m4, 
mailcap, mailx, make, MAKEDEV, man, man-pages, mars-nwe, mc, Mesa, 
metamail, mikmod, mingetty, minicom, mkbootdisk, mkinitrd, mkisofs, 
mktemp, mkxauth, mod_perl, modemtool, modutils, mount, mouseconfig, mpage, 
mpg123, mt-st, mtools, multimedia, mutt, ncftp, ncompress, ncpfs, ncurses, 
ncurses-devel, ncurses4, net-tools, netcfg, netpbm, netpbm-devel, netpbm-
progs, netscape-common, netscape-communicator, newt, newt-devel, nfs-
utils, nmh, ntsysv, openjade, openldap, openssl, ORBit, ORBit-devel, pam, 
passwd, patch, pciutils, perl, pidentd, pilot-link, pilot-link-devel, 
pine, playmidi, playmidi-X11, pmake, popt, portmap, postgresql, postgresql-
devel, postgresql-server, ppp, printtool, procmail, procps, psmisc, 
pspell, pump, pwdb, pygnome, pygnome-libglade, pygtk, pygtk-libglade, 
python, python-devel, pythonlib, qt, qt-devel, qt1x, qt1x-devel, quota, 
raidtools, rcs, rdate, rdist, readline, readline-devel, redhat-logos, 
redhat-release, rep-gtk, rep-gtk-gnome, rhs-printfilters, rmt, rootfiles, 
rp3, rpm, rpm-build, rpm-devel, rsh, rsh-server, rsync, rusers, rusers-
server, rwall-server, rwho, rxvt, samba, samba-client, samba-common, sash, 
sawfish, screen, sed, sendmail, setserial, setup, setuptool, sgml-common, 
sgml-tools, sh-utils, shadow-utils, shapecfg, sharutils, slang, slang-
devel, slocate, slrn, sndconfig, sox, stat, statserial, strace, stunnel, 
SVGATextMode, switchdesk, switchdesk-gnome, switchdesk-kde, sysklogd, 
SysVinit, talk, talk-server, tar, tcl, tclx, tcp_wrappers, tcpdump, tcsh, 
telnet, telnet-server, termcap, tetex, tetex-afm, tetex-dvilj, tetex-
dvips, tetex-fonts, tetex-latex, tetex-xdvi, texinfo, textutils, tftp-
server, time, timeconfig, timetool, tin, tix, tk, tkinter, tksysv, 
tmpwatch, traceroute, trn, trojka, ucd-snmp, ucd-snmp-utils, umb-scheme, 
unzip, urlview, urw-fonts, usermode, utempter, util-linux, vim-common, vim-
minimal, vixie-cron, which, whois, WindowMaker, WindowMaker-libs, words, 
wu-ftpd, wvdial, Xaw3d, Xaw3d-devel, xbill, xboard, xboing, xchat, 
Xconfigurator, XFree86, XFree86-100dpi-fonts, XFree86-3DLabs, XFree86-
75dpi-fonts, XFree86-8514, XFree86-AGX, XFree86-cyrillic-fonts, XFree86-
devel, XFree86-doc, XFree86-FBDev, XFree86-I128, XFree86-ISO8859-2, 
XFree86-ISO8859-2-100dpi-fonts, XFree86-ISO8859-2-75dpi-fonts, XFree86-
ISO8859-2-Type1-fonts, XFree86-ISO8859-9, XFree86-ISO8859-9-100dpi-fonts, 
XFree86-ISO8859-9-75dpi-fonts, XFree86-libs, XFree86-Mach32, XFree86-
Mach64, XFree86-SVGA, XFree86-tools, XFree86-twm, XFree86-VGA16, XFree86-
xdm, XFree86-xf86cfg, XFree86-xfs, XFree86-Xnest, XFree86-Xvfb, xgammon, 
xinetd, xinitrc, xjewel, xloadimage, xmailbox, xmms, xmorph, xpaint, 
xpat2, xpdf, xpilot, xpuzzles, xrn, xscreensaver, xsri, xtrojka, xxgdb, yp-
tools, ypbind, ypserv, zip, zlib, zlib-devel, autofs, bash-doc, bind-
devel, blt, bootparamd, compat-egcs-g77, compat-egcs-objc, comsat, 
cxhextris, db2-devel, db3-devel, db3-utils, dhcp, e2fsprogs-devel, efax, 
emacs-el, emacs-leim, enlightenment, enscript, ext2ed, fbset, 
fetchmailconf, fnlib, fnlib-devel, freetype-devel, freetype-utils, fvwm2, 
fvwm2-icons, gated, genromfs, getty_ps, giftrans, gimp-data-extras, 
glib10, glibc-profile, gmp-devel, gnuplot, gperf, groff-gxditview, gsl, 
gtk+10, guile-devel, imap, inn-devel, ircii, isicom, itcl, jed, jed-
common, jed-xjed, jikes, joe, kaffe, kdeadmin, korganizer, kpilot, kterm, 
libelf, libgtop-examples, libjpeg6a, libpcap, libPropList, libungif-progs, 
libxml10, lout, lout-doc, lslk, macutils, mawk, mcserv, mgetty, mgetty-
sendfax, mgetty-viewfax, mgetty-voice, mkkickstart, mod_php, nc, netscape-
navigator, nscd, ntp, open, p2c, p2c-devel, pdksh, php, pmake-customs, 
postgresql-tcl, postgresql-tk, procinfo, procps-X11, psacct, python-docs, 
readline2.2.1, rgrep, rhmask, routed, rwall, sendmail-cf, sendmail-doc, 
sliplogin, slrn-pull, sox-devel, specspo, squid, symlinks, taper, tetex-
doc, tftp, timed, transfig, tree, ucd-snmp-devel, unarj, units, uucp, vim-
enhanced, vim-X11, vlock, w3c-libwww, w3c-libwww-apps, w3c-libwww-devel, 
wget, wmakerconf, wmconfig, x3270, xcpustate, xdaliclock, xfig, xlispstat, 
xlockmore, xmms-devel, xosview, xsysinfo, xtoolwait, ytalk, zsh]
db: <rpmdb object at 9634b98>
self: <todo.ToDo instance at 8444e08>
how: u
errno: 17
totalSize: 1469976
f: <closed file '/mnt/sysimage/etc/mtab', mode 'w+' at 97a8c58>
ts: <rpmtrans object at 965bb68>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'scd0'
sS'progressWindow'
p9

<failed>
Comment 1 Pekka Savola 2000-12-11 16:52:16 EST
Had you deleted and removed /tmp before upgrade?  If so, try mkdir it back.

Is /tmp on a separate partition?

If not, did /tmp/upgrade.log exist from previous upgrade?  If so, try deleting it before upgrade.
Comment 2 Michael Fulbright 2000-12-12 11:57:45 EST
If /tmp is a symlink you will have this problem. Is that the case?
Comment 3 Michael Fulbright 2001-01-19 16:29:26 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.